Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.globalschema
Class SemanticName

    java.lang.Object
      unity.globalschema.SemanticName

    public class SemanticName

extends java.lang.Object

Constructor Summary
`SemanticName()`
`SemanticName(java.lang.String semanticName)`

Method Summary
`java.lang.String` | `buildCanonicalForm(int depth)`
`void` | `buildConnectors()`
`java.lang.String` | `buildDotForm()`
`java.lang.String` | `buildDotForm(int depth)`
`java.lang.String` | `buildSemanticName(int depth)`
`java.lang.String` | `getCanonicalForm()`
`java.lang.String` | `getContext()`
`java.lang.String` | `getItem(int depth)`
`java.util.ArrayList` | `getItems()`
`java.lang.String` | `getName()`
`boolean` | `isEmpty()`
`boolean` | `isProperty(int depth)`
`void` | `parseDotName()`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SemanticName

    public SemanticName()

### SemanticName

    public SemanticName(java.lang.String semanticName)

Method Detail

### parseDotName

    public void parseDotName()

### buildConnectors

    public void buildConnectors()

### getCanonicalForm

    public java.lang.String getCanonicalForm()

### buildCanonicalForm

    public java.lang.String buildCanonicalForm(int depth)

### buildDotForm

    public java.lang.String buildDotForm(int depth)

### buildDotForm

    public java.lang.String buildDotForm()

### buildSemanticName

    public java.lang.String buildSemanticName(int depth)

### getName

    public java.lang.String getName()

### getItems

    public java.util.ArrayList getItems()

### isEmpty

    public boolean isEmpty()

### getItem

    public java.lang.String getItem(int depth)

### isProperty

    public boolean isProperty(int depth)

### size

    public int size()

### getContext

    public java.lang.String getContext()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD